package tag;

import java.util.Optional;

public class Tag {

	private TagName name;
	private Optional<String> additionalData;

	public Tag(TagName name) {
		this.name = name;
	}

	public Tag(TagName name, Optional<String> additionalData) {
		this.name = name;
		this.additionalData = additionalData;
	}

	public Tag addAdditionalData(String additionalData) {
		return new Tag(this.name, Optional.of(additionalData));
	}
}
